package main

import (
	"log"
	"net/smtp"
)

func sendEmail(mail_to, mail_default_authuser, mail_message string) {
	var auth smtp.Auth
	if getenv("MAILSERVER_USER", "") != "" {
		// Set up authentication information.
		auth = smtp.PlainAuth(
			"",
			getenv("MAILSERVER_USER", ""),
			getenv("MAILSERVER_PASSWORD", ""),
			getenv("MAILSERVER_HOST", "127.0.0.1"),
		)
	}
	// Connect to the server, authenticate, set the sender and recipient,
	// and send the email all in one step.
	err := smtp.SendMail(
		getenv("MAILSERVER_HOST", "127.0.0.1")+":"+getenv("MAILSERVER_PORT", "25"),
		auth,
		getenv("MAILSERVER_USER", mail_default_authuser),
		[]string{mail_to, "info@wo-bisch.ch"},
		[]byte(mail_message),
	)

	if err != nil {
		log.Fatal(err)
	}
}

func sendEmailConfirm(username, confirm_id string) {
	mail_message := "To: " + username + `
From: register@wo-bisch.ch
Subject: Passwortaenderung auf https://wo-bisch.ch, bitte bestaetigen

Lieber Benutzer von wo-bisch.ch

Sie haben soeben eine Passwortaenderung veranlasst.  Bitte klicken Sie folgenden Link,
um das neue Passwort zu aktivieren:

https://wo-bisch.ch/confirm?id=` + confirm_id + `

Bitte ignorieren Sie diese Meldung, falls die Aenderung nicht von Ihnen angefordert wurde!

Mit freundlichen Grüssen
--
wo-bisch.ch`

	sendEmail(username, "mail@wo-bisch.ch", mail_message)
}

func sendPaymentConfirmationEmail(username, charge_data string, amount int64) {
	mail_message := "To: " + username + `
From: info@wo-bisch.ch
Subject: Zahlungsbestaetigung wo-bisch.ch

Lieber Benutzer von wo-bisch.ch

Sie haben soeben erfolgreich folgende Abo-Verlaengerungen bezahlt:

` + charge_data + `

Mit freundlichen Grüssen
--
wo-bisch.ch`

	sendEmail(username, "mail@wo-bisch.ch", mail_message)
}

func sendOrderEmail(username, body string) {
	mail_message := "To: " + username + `
From: info@wo-bisch.ch
Subject: Bestelleingang auf https://wo-bisch.ch

Lieber Administrator

Soeben ist eine Bestellung eingegangen, bitte pruefen: 

` + body + `

Mit freundlichen Grüssen
--
wo-bisch.ch`

	sendEmail(username, "mail@wo-bisch.ch", mail_message)
}
